fields:

  layoutOptions:
    label: Site Container
    type: headline

  siteContainer:
    label: Set Page Width
    type: radio
    options:
      fullwidth: Full width
      contained: Contained
    width: 1/1


  siteTypeOptions:
    label: Site Type
    type:  headline

  onePager:
    label: Make one pager?
    type: select
    options:
      - Normal site
      - One Pager
    width: 1/1




  setOnePageWidth:
    label: Set one pager width
    type: select
    options:
      - Full width
      - Manually set percentage
    width: 1/3
    when:
      onePager: One Pager

  OnePageWidthPercentMobile:
    label: Set page width (Mobile)
    type: range
    step: 10
    min: 50
    max: 100
    tooltip:
      after: %
    width: 1/3
    when:
      onePager: One Pager
      setOnePageWidth: Manually set percentage

  OnePageWidthPercentDesktop:
    label: Set page width (Desktop)
    type: range
    step: 10
    min: 50
    max: 100
    tooltip:
      after: %
    width: 1/3
    when:
      onePager: One Pager
      setOnePageWidth: Manually set percentage











